@use "variables";
@use "mixins";

:root {
  // Fonts
  --font-display: "Lora", "Georgia", "Times New Roman", "Times", serif;
  --font-body: "Montserrat", -apple-system, "BlinkMacSystemFont", "Segoe UI",
    "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Open Sans", "Helvetica Neue",
    sans-serif;
  --font-logo: "Crimson Pro", "Georgia", "Times New Roman", "Times", serif;

  // Colors
  --color-white: #fbfaf5;
  --color-black: #181719;
  --color-gray: #828282;
  --color-white-rgb: 251 250 245;

  // Misc
  --small-screen-threshold: #{variables.$small-screen-threshold};
  --nav-appearance-delay: 450ms;
}

html {
  @include mixins.respond-to-max-px(4000) {
    font-size: 175%;
  }
  @include mixins.respond-to-max-px(3650) {
    font-size: 150%;
  }
  @include mixins.respond-to-max-px(3250) {
    font-size: 140%;
  }
  @include mixins.respond-to-max-px(3000) {
    font-size: 130%;
  }
  @include mixins.respond-to-max-px(2800) {
    font-size: 120%;
  }
  @include mixins.respond-to-max-px(2600) {
    font-size: 110%;
  }
  @include mixins.respond-to-max-px(2400) {
    font-size: 100%;
  }
  @include mixins.respond-to-max-px(2200) {
    font-size: 90%;
  }
  @include mixins.respond-to-max-px(2000) {
    font-size: 82.5%;
  }
  @include mixins.respond-to-max-px(1900) {
    font-size: 75%;
  }
  @include mixins.respond-to-max-px(1800) {
    font-size: 70%;
  }
  @include mixins.respond-to-max-px(1800) {
    font-size: 67.5%;
  }
  @include mixins.respond-to-max-px(1600) {
    font-size: 65%;
  }
  @include mixins.respond-to-max-px(1500) {
    font-size: 62.5%;
  }
  @include mixins.respond-to-max-px(1300) {
    font-size: 59%;
  }
  @include mixins.respond-to-max-px(1250) {
    font-size: 57%;
  }
  @include mixins.respond-to-max-px(1200) {
    font-size: 55%;
  }
  @include mixins.respond-to-max-px(1150) {
    font-size: 57.5%;
  }
  @include mixins.respond-to-max-px(1100) {
    font-size: 50%;
  }
  @include mixins.respond-to-max-px(1050) {
    font-size: 47.5%;
  }
  @include mixins.respond-to-max-px(1000) {
    font-size: 45%;
  }
  @include mixins.respond-to-max-px(950) {
    font-size: 42.5%;
  }
  @include mixins.respond-to-max-px(900) {
    font-size: 40%;
  }
  @include mixins.respond-to-max-px(850) {
    font-size: 38%;
  }
  @include mixins.respond-to-max-px(800) {
    font-size: 36%;
  }
  @include mixins.respond-to-max-px(750) {
    font-size: 34%;
  }
  @include mixins.respond-to-max-px(700) {
    font-size: 32%;
  }
  @include mixins.respond-to-max-px(650) {
    font-size: 29%;
  }
  @include mixins.respond-to-max-px(600) {
    font-size: 85%;
  }
  @include mixins.respond-to-max-px(550) {
    font-size: 80%;
  }
  @include mixins.respond-to-max-px(500) {
    font-size: 75%;
  }
  @include mixins.respond-to-max-px(450) {
    font-size: 67.5%;
  }
  @include mixins.respond-to-max-px(400) {
    font-size: 65%;
  }
  @include mixins.respond-to-size(tiny) {
    font-size: 62.5%;
  }
  @include mixins.respond-to-max-px(350) {
    font-size: 57.5%;
  }
  @include mixins.respond-to-max-px(325) {
    font-size: 52.5%;
  }
  @include mixins.respond-to-max-px(300) {
    font-size: 50%;
  }
  @include mixins.respond-to-max-px(275) {
    font-size: 45%;
  }
  @include mixins.respond-to-max-px(250) {
    font-size: 40%;
  }
  @include mixins.respond-to-max-px(225) {
    font-size: 35%;
  }
}

body {
  overflow-x: hidden;
}
